/* GENERAL LAYOUT */

body {
    background-color: #E4EBF1;
    color: #B78727;
    font-family: "Lucida Sans Unicode", "Lucida Grande", sans-serif;
    font-size: 1em;
    line-height: 1.5em;
    word-spacing: 0.1em;
}

a {
    text-decoration: none;
    color: #001D3D;
}

a:hover {
    color: #4D7093;
}

.menu {
    font-size: 1.7em;
}

/* Show logo at half width of the screen and center */
.logo {
    display: block;
    width: 50%;
    height: auto;
    margin: 4px auto;
}

/* hide titles from view but not for screenreaders */
.hide {
    position: absolute;
    width: 1px;
    height: 1px;
    overflow: hidden;
    left: -10000px;
}

/* scale image to fit viewport */
.fit-viewport {
    width: 100%;
    height: auto;
}


/* MENU FLEXBOX */

.menu ul {
    list-style: none;
    padding-left: 0; /* remove indentation from list */
    background-color: #6388AD;
    display: flex;
}

.menu > ul > li {
    flex-grow: 1;
}

.submenu ul {
    flex-direction: column;
}

.menu li:hover {
    background-color: #A7B9CC;
}

.menu ul a {
    display: block;
    padding: 16px 3px 12px 3px;
    color: #001D3D;
    text-decoration: none;
    text-align: center;
}

/* Place an arrow at the foldable menu item */
.submenu > a::after {
    content: " \2B9F";
}

/* Foldable submenu */
.menu .submenu > ul {
    display: none;
}

.menu .submenu:hover > ul {
    display: flex;
}

/* Position absolute submenu to relative menu */
.menu > ul > .submenu {
    position: relative;
}

.menu > ul > .submenu > ul {
    position: absolute;
    width: 100%;
}

/* Mark the current page link and make it inactive */
.current-page {
    background-color: #D4AE04;
    pointer-events: none;
    cursor: pointer;
}

/* The current page link of Product is made inactive at a but we still need a background color for the li */
.current-page-product {
    background-color: #D4AE04;
}

/* CSS GRIDS PAGE LAYOUT */

/* The grids are different for each page */
.home-grid {
    display: grid;
    grid-template-areas: "gheader" "gaside" "gmain" "gfooter";
    grid-gap: 10px;
    height: 100vh;
    grid-template-rows: auto;
    grid-template-columns: auto;
}

.faq-grid, .contact-grid, .person-grid, .basket-grid, .pconfirm-grid {
    display: grid;
    grid-template-areas: "gheader" "gmain" "gfooter";
    grid-gap: 10px;
    height: 100vh;
    grid-template-rows: 3fr 20fr 1fr;
    grid-template-columns: auto;
}

.product-grid {
    display: grid;
    grid-template-areas:
            "gheader gheader"
            "gaside gmain"
            "gfooter gfooter";
    grid-gap: 10px;
    height: 100vh;
    grid-template-columns: 2fr 8fr;
    grid-template-rows: 3fr 20fr 1fr;
}

.detail-grid {
    display: grid;
    grid-template-areas: "gheader" "gnav" "gmain" "gfooter";
    grid-gap: 10px;
    height: 100vh;
    grid-template-rows: 3fr 1fr 20fr 1fr;
    grid-template-columns: auto;
}

/* The area names are the same on each page */
.gheader {
    grid-area: gheader;
}

.gaside {
    grid-area: gaside;
}

.gnav {
    grid-area: gnav;
}

.gmain {
    grid-area: gmain;
}

.gfooter {
    grid-area: gfooter;
}

/* FOOTER FLEXBOX (same on each page) */
footer {
    background-color: #6388AD;
    color: #001D3D;
}

footer > section {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
}

footer > section > * {
    padding: 10px;
    flex: 1 100%;
}

footer > section > section {
    flex: 1 0 0;
}

footer > section > section > ul {
    list-style: none;
    padding-left: 0; /* remove indentation from list */
    display: flex;
    justify-content: flex-end;
}

footer > section > section > ul > li {
    padding: 0 10px;
}

/* HOME LAYOUT */

.home-main h2 {
    font-size: 1.5em;
}

.home-main h3 {
    font-size: 1.2em;
}

/* FlexBox Home Main */
.home-main {
    display: flex;
    flex-direction: column;
}

.home-art {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

.home-art-reverse {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.home-main > article > * {
    flex-grow: 1;
    width: 50%;
}

.home-main > article > div {
    margin: 20px;
}

.home-main > article > aside > img {
    width: 100%;
    height: auto;
}


/* FAQ LAYOUT */

.faq-main article {
    box-sizing: border-box;
    padding: 20px;
    width: 60%;
    min-width: 600px; /* From 600px the article is no longer made smaller */
    margin: 10px auto;
}

.faq-main h2 {
    font-size: 1.8em;
    text-align: center;
    margin-bottom: 50px;
}

.faq-main h3 {
    font-size: 1.5em;
    text-align: center;
    background-color: #FFD930;
    padding: 10px 4px;
}

.faq-main h4 {
    font-size: 1em;
    color: #001D3D;
}

.faq-body p {
    margin: 0 0 40px 0;
}


/* CONTACT LAYOUT */

.contact-main h2 {
    font-size: 1.8em;
    text-align: center;
    margin-bottom: 50px;
    padding-top: 20px;
}

.contact-main address {
    text-align: center;
    margin-bottom: 40px;
    font-style: normal;
}

.contact-main figure {
    margin: 0;
}


/* PRODUCT DETAIL LAYOUT */

/* Breadcrumb */
.detail-body > nav {
    margin-left: 30px;
    color: #4D7093;
}

/* CSSGrid Product detail main */
.pdtm-container {
    display: grid;
    grid-template-areas:
            "pdimg pdtitle"
            "pdimg pdsec1"
            "pdimg pdsec2"
            "pdasi pdasi";
    grid-row-gap: 5px;
    grid-column-gap: 30px;
    grid-template-columns: 5fr 5fr;
    grid-template-rows: 2fr 4fr 2fr 1fr;
    margin: 20px;
    height: auto;
}

.pdtm-container > h2 {
    grid-area: pdtitle;
    padding-top: 20px;
    font-size: 1.8em;
}

.pdtm-img {
    grid-area: pdimg;
}

.pdtm-sec-1 {
    grid-area: pdsec1;
}

.pdtm-sec-2 {
    grid-area: pdsec2;
}

.pdtm-aside {
    grid-area: pdasi;
    margin-left: 10px;
}

.pdtm-img figure {
    margin: 10px;
}

.pdtm-img img {
    width: 100%;
    height: auto;
}


/* PRODUCT LAYOUT */

.product-main {
    margin: 20px;
}

.product-main h2 {
    font-size: 1.8em;
    text-align: center;
    margin-bottom: 40px;
}

.product-main h3 {
    font-size: 1.5em;
    text-align: center;
    padding: 10px 4px;
    color: #001D3D;
    border: 1px solid #B78727;
}

.product-main h4 {
    font-size: 1.2em;
    color: #001D3D;
    text-align: center;
}

.product-main p {
    text-align: center;
    margin: 5px 10px
}

/* Product FlexGrid */
.product-main > article > section {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    padding: 0;
    margin: 0 0 50px 0;
}

/* the header item needs to be 100% width */
.product-main > article > section > header {
    flex: 1 100%;
}

/* These sections contain the actual products */
.product-main > article > section > section {
    margin: 10px 5px;
}

/* Filter */
.filter ul {
    list-style: none;
    padding-left: 0; /* remove indentation from list */
    font-size: 1.5em;
}

.filter li {
    padding: 3px 0;
    margin: 20px;
    background-color: #D4AE04;
}

.filter li:hover {
    background-color: #FFD930;
}

.filter ul a {
    display: block;
    padding: 10px 3px;
    color: #001D3D;
    text-decoration: none;
    text-align: center;
}

#current-filter {
    background-color: #B78727;
    pointer-events: none;
    cursor: pointer;
}

/* Dynamic page link */
.dynamic-page-link a {
    font-size: 1.5em;
    background-color: #D4AE04;
    display: block;
    padding: 10px 3px;
    color: #001D3D;
    text-decoration: none;
    text-align: center;
    width: 200px;
}

.dynamic-page-link a:hover {
    background-color: #FFD930;
}


/* PERSONALISATION LAYOUT */

.person-main h2 {
    font-size: 1.8em;
    margin-bottom: 50px;
}

.person-main h3 {
    font-size: 1.2em;
}

.person-main > aside > img {
    width: 100%;
    height: auto;
}

/* Personalisation Grid */
.person-main {
    display: grid;
    grid-template-areas:
            "pmasi pmarti"
            "pmsec1 pmsec2";
    grid-gap: 30px;
    grid-template-columns: 5fr 5fr;
    grid-template-rows: auto;
    margin: 20px;
    height: auto;
}

.person-main aside {
    grid-area: pmasi;
}

.person-main article {
    grid-area: pmarti;
}

.person-sec-1 {
    grid-area: pmsec1;
}

.person-sec-2 {
    grid-area: pmsec2;
}

/* Price Table */
#price-table caption {
    font-size: 1.5em;
    margin-bottom: 20px;
}

#price-table, #price-table th, #price-table td {
    border: 1px dotted;
    padding: 0;
    margin: 0;
    border-spacing: 0;
}

#price-table th, #price-table td {
    text-align: center;
    vertical-align: middle;
    padding: 6px;
    font-size: 1em;
}

#price-table {
    margin: 20px;
    float: right;
}

#price-table th {
    font-size: 1.1em;
}

/* Personalisation Form */
#perso {
    max-width: 25em;
    float: left;
}

#name, #perso input[type="email"] {
    box-sizing: border-box;
    width: 100%;
    margin-bottom: 0.5em;
}

#perso fieldset {
    border: 1px dotted;
    margin-top: 1em;
}

#perso select {
    box-sizing: border-box;
    width: 49%;
}

#perso label {
    display: inline-block;
    width: 86%;
    margin-top: 10px;
}

#perso input[type="number"], #perso input[type="color"], #perso input[type="checkbox"] {
    box-sizing: border-box;
    width: 12%;
}

#perso label[for="initials"] {
    width: 25%;
}

#txtinitials {
    display: inline-block;
    width: 10%;
}

#perso textarea {
    box-sizing: border-box;
    width: 100%;
    height: 10em;
    margin-top: 10px;
}

#perso input[type="submit"] {
    float: left;
    padding: 3px;
    margin: 1em 0;
    width: 7em;
    border-radius: 5px;
    font-size: 1.3em;
    background-color: #B78727;
    color: #001D3D;
}

#perso input[type="submit"]:hover {
    background-color: #D4AE04;
}

/* Confirmation page */
.pconfirm-main > section {
    box-sizing: border-box;
    width: 70%;
    min-width: 600px;
    margin: 20px auto;
}

.pconfirm-main h2 {
    font-size: 1.8em;
    text-align: center;
    padding-top: 20px;
}

.pconfirm-main h3 {
    font-size: 1.2em;
    text-align: center;
}

.pconfirm-main p {
    text-align: center;
    margin: 0 20px;
}

#conf-crystal-color {
    display: block;
    width: 30px;
    margin: 0 auto;
}

#conf-extra-info {
    margin-top: 20px;
}

/* MEDIA QUERIES */

/* Layout for resolutions of max 1300px width */
@media screen and (max-width: 1300px) {
    .logo {
        width: 70%;
    }

    .faq-main article, .pconfirm-main > section {
        width: 80%;
    }
}

/* Layout for resolutions of max 900px width */
@media screen and (max-width: 900px) {
    .logo {
        width: 90%;
    }

    /*MENU */
    /* The main menu is set vertically */
    .menu ul {
        flex-direction: column;
    }

    /* The submenu no longer folds but has a different background color */
    .menu .submenu > ul {
        display: flex;
        background-color: #4D7093;
    }

    /* The submenu should not be on top of the main menu */
    .menu > ul > .submenu > ul {
        position: relative;
    }

    /* HOME */
    /* Text and images are set vertically  */
    .home-art, .home-art-reverse {
        flex-direction: column;
    }

    /* The images cover the whole width */
    .home-main > article > aside {
        width: 100%;
    }

    .home-main > article > div {
        width: 90%;
    }

    /* PRODUCT */
    .product-grid {
        grid-template-areas:
            "gheader"
            "gaside"
            "gmain"
            "gfooter";
        grid-template-columns: 1fr;
        grid-template-rows: unset;
    }

    /* PRODUCT DETAIL */
    .pdtm-container {
        grid-template-areas:
            "pdtitle"
            "pdimg"
            "pdsec1"
            "pdsec2"
            "pdasi";
        grid-template-columns: 1fr;
        grid-template-rows: unset;
        margin: 0 20px 20px 20px;
    }

    .pdtm-container > h2 {
        padding-top: 0;
        text-align: center;
    }

    .pdtm-aside {
        margin-left: 0;
    }

    .pdtm-img figure {
        margin: 0;
    }

    /* PERSONALISATION */
    /* Titles are centered */
    .person-main h2 {
        text-align: center;
    }

    .person-main h3 {
        text-align: center;
    }

    /* All elements are placed vertically */
    .person-main {
        grid-template-areas:
            "pmarti"
            "pmasi"
             "pmsec1"
            "pmsec2";
        grid-template-columns: 1fr;
        grid-template-rows: unset;
    }

    /* Price table and form are centered */
    #price-table {
        max-width: 25em;
        float: none;
        margin: 20px auto;
    }

    #perso {
        float: none;
        margin: 10px auto;
    }

    /* Confirmation page */
    .pconfirm-main > section {
        width: 90%;
        min-width: 450px;
    }

    .pconfirm-main h2 {
        padding-top: 0;
    }

    /* FAQ */
    .faq-main article {
        width: 90%;
        min-width: 450px;
    }
}